local filter_color = Color.Black
local pn = nil

-- Eh... maybe someday
local t = Def.ActorFrame {
	--[[
	Def.Quad {
		InitCommand=function(self)
			self:hibernate(math.huge):diffuse(filter_color)
		end,
		PlayerStateSetCommand=function(self, param)
			pn = param.PlayerNumber
			local style = GAMESTATE:GetCurrentStyle(pn)
			local alf = 0.5
			local width = style:GetWidth(pn) + 16
			self:setsize(width, _screen.h*4096):hibernate(0)
			
			self:diffusealpha(alf)
		end
	}
	--]]
}

--[[]
if IsGame("kb7") or IsGame("popn") or IsGame("beat") then
	t[#t+1]= Def.Sprite{
		Texture= "board_" .. GAMESTATE:GetCurrentGame():GetName() .. ".png",
		PlayerStateSetCommand=function(self, param)
			pn = param.PlayerNumber
			local style = GAMESTATE:GetCurrentStyle(pn)
			local width = style:GetWidth(pn)
			
			if style:GetStepsType() == "StepsType_Pnm_Five" then
				-- bit of dodginess to get a 5-button board without essentially a duplicate board graphic
				width = GetOptimalIsolatedNotefieldWidth()
				self:cropleft(0.221):cropright(0.221)
			end
			
			self:setsize(width, _screen.h*4096)
		end
	}
end
]]

return t
